/**
 * @file
 * 
 * Javascript document
 * 
 * This is a general script which runs code required for the smooth 
 * running of the namecards module. You can think of it as an init 
 * or general setup script.  
 */


// Any general script which should be attached to Drupal behaviors should 
// be placed here.
Drupal.behaviors.Namecards = function(context) {
  /* 
   * Disable email list text selection button. Is disabled because this 
   * functionality has yet to be added to the module.
   */
  $('#namecards-email-list-select-button', context).attr("disabled", "disabled");
  
  /* 
   * Add row highlighting
   * 
   * To change the row highlight color, please modify class 'namecards-row-highlight' in file 'namecards.css'.
   */
  if ($('.view-id-namecards_browse_contacts').length || $('.view-id-namecards_contacts_by_org').length || $('.view-id-namecards_contacts_by_event').length || $('.namecards-create-email-list-wrapper').length || $('.namecards-user-settings-table-wrapper').length) {
	var context;
	var highlightColor;
    var highlightObject;
    
    // Define hidden object and attach to DOM. This object is used to retreive and set the highlightColor variable. 
    highlightObject =  $('<div></div>').css('display', 'none').addClass('namecards-row-highlight');
    highlightObject.appendTo('body');
    highlightColor = highlightObject.css('backgroundColor');
	
	// Set context based on view type.
	if ($('.view-id-namecards_browse_contacts').length) {
	  context = '.view-id-namecards_browse_contacts';
	}
	else if ($('.view-id-namecards_contacts_by_org').length) {
	  context = '.view-id-namecards_contacts_by_org';
	}
	else if ($('.view-id-namecards_contacts_by_event').length) {
	  context = '.view-id-namecards_contacts_by_event';
	}
	else if ($('.namecards-create-email-list-wrapper').length) {
      context = '.namecards-create-email-list-wrapper';
	}
	else if ($('.namecards-user-settings-table-wrapper').length) {
      context = '.namecards-user-settings-table-wrapper';
	}
	
	// Add hover event to rows.
	$('table tbody tr', context).not('.namecards-row-highlighting-processed').addClass('.namecards-row-highlighting-processed').each(function(index) {
	  var row = $(this);
	  var defaultColor = row.css('background-color'); // Original background color of the row.
	  
	  // Add mouse hover event.
	  row.hover(
        function() {
          // On mouse over.
          row.css('background-color', highlightColor);
        },
        function() {
          // On mouse out.
          row.css('background-color', defaultColor);
        }
	  );
	});
  }
};