<?php
/**
 * @file
 * This file contains definitions of CCk node types required by namecards module.
 *
 * Copyright 2010 Ben Gunn
 *
 * Licensed under the GNU Public License
 */

/**
 * Creates CCK node types required by namecards module.
 *
 * @param $namecard_node_type
 *   String identifying a particular node type used by namecards module.
 */
function _namecards_cck_export($namecard_node_type) {
  if ($namecard_node_type == 'event') {
    // code of the exported content type goes here
    $content['type']  = array(
      'name' => 'Event (Namecard)',
      'type' => 'namecard_event',
      'description' => 'This content type is required by and automatically created by the namecard content type.  Provides information on the event where a contact was first met.',
      'title_label' => 'Event',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
      'node_options' =>
      array(
        'status' => TRUE,
        'promote' => FALSE,
        'sticky' => FALSE,
        'revision' => FALSE,
      ),
      'old_type' => 'namecard_event',
      'orig_type' => '',
      'module' => 'node',
      'custom' => '1',
      'modified' => '1',
      'locked' => '0',
      'comment' => '0',
      'comment_default_mode' => '4',
      'comment_default_order' => '1',
      'comment_default_per_page' => '50',
      'comment_controls' => '3',
      'comment_anonymous' => 0,
      'comment_subject_field' => '1',
      'comment_preview' => '1',
      'comment_form_location' => '0',
    );
    $content['extra']  = array(
      'title' => '-5',
      'body_field' => '0',
      'revision_information' => '20',
      'author' => '20',
      'options' => '25',
      'comment_settings' => '30',
      'menu' => '-2',
      'path' => '30',
    );
  }

  if ($namecard_node_type == 'department') {
    $content['type']  = array(
      'name' => 'Department (Namecard)',
      'type' => 'namecard_department',
      'description' => 'This content type is required by and automatically created by the namecard content type.  Provides information on the department where a contact works.',
      'title_label' => 'Department',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
      'node_options' =>
      array(
        'status' => TRUE,
        'promote' => FALSE,
        'sticky' => FALSE,
        'revision' => FALSE,
      ),
      'old_type' => 'namecard_department',
      'orig_type' => '',
      'module' => 'node',
      'custom' => '1',
      'modified' => '1',
      'locked' => '0',
      'comment' => '0',
      'comment_default_mode' => '4',
      'comment_default_order' => '1',
      'comment_default_per_page' => '50',
      'comment_controls' => '3',
      'comment_anonymous' => 0,
      'comment_subject_field' => '1',
      'comment_preview' => '1',
      'comment_form_location' => '0',
    );

      }

  if ($namecard_node_type == 'position') {
    $content['type']  = array(
      'name' => 'Position (Namecard)',
      'type' => 'namecard_position',
      'description' => 'This content type is required by and automatically created by the namecard content type.  Provides information on the work position of the contact.',
      'title_label' => 'Position',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
      'node_options' =>
      array(
        'status' => TRUE,
        'promote' => FALSE,
        'sticky' => FALSE,
        'revision' => FALSE,
      ),
      'old_type' => 'namecard_position',
      'orig_type' => '',
      'module' => 'node',
      'custom' => '1',
      'modified' => '1',
      'locked' => '0',
      'comment' => '0',
      'comment_default_mode' => '4',
      'comment_default_order' => '1',
      'comment_default_per_page' => '50',
      'comment_controls' => '3',
      'comment_anonymous' => 0,
      'comment_subject_field' => '1',
      'comment_preview' => '1',
      'comment_form_location' => '0',
    );
  }

  if ($namecard_node_type == 'organization') {
    $content['type']  = array(
      'name' => 'Organization (Namecard)',
      'type' => 'namecard_organization',
      'description' => 'Organization to which a contact can belong.  This content type is linked to the namecard content type.  The organization content should not be modified directly through admin->content type settings.  Instead it should be done through namecard node type.',
      'title_label' => 'Name',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
      'node_options' =>
      array(
        'status' => TRUE,
        'promote' => FALSE,
        'sticky' => FALSE,
        'revision' => FALSE,
      ),
      'old_type' => 'namecard_organization',
      'orig_type' => '',
      'module' => 'node',
      'custom' => '1',
      'modified' => '1',
      'locked' => '0',
      'comment' => '0',
      'comment_default_mode' => '4',
      'comment_default_order' => '1',
      'comment_default_per_page' => '50',
      'comment_controls' => '3',
      'comment_anonymous' => 0,
      'comment_subject_field' => '1',
      'comment_preview' => '1',
      'comment_form_location' => '0',
    );
    $content['extra']  = array(
      'title' => '-5',
      'body_field' => '0',
      'revision_information' => '20',
      'author' => '20',
      'options' => '25',
      'comment_settings' => '30',
      'menu' => '-2',
    );
  }

  if ($namecard_node_type == 'namecard') {
    $content['type']  = array(
      'name' => 'Namecard',
      'type' => 'namecard_namecard',
      'description' => 'Contains personal contact information for a person',
      'title_label' => 'Surname',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
      'node_options' =>
      array(
        'status' => TRUE,
        'promote' => FALSE,
        'sticky' => FALSE,
        'revision' => FALSE,
      ),
      'old_type' => 'namecard_namecard',
      'orig_type' => '',
      'module' => 'node',
      'custom' => '1',
      'modified' => '1',
      'locked' => '0',
      'comment' => '0',
      'comment_default_mode' => '4',
      'comment_default_order' => '1',
      'comment_default_per_page' => '50',
      'comment_controls' => '3',
      'comment_anonymous' => 0,
      'comment_subject_field' => '1',
      'comment_preview' => '1',
      'comment_form_location' => '0',
    );
    $content['groups']  = array(
      0 =>
      array(
        'label' => 'Address',
        'group_type' => 'standard',
        'settings' =>
        array(
          'form' =>
          array(
            'style' => 'fieldset',
            'description' => '',
          ),
          'display' =>
          array(
            'description' => '',
            'teaser' =>
            array(
              'format' => 'fieldset',
              'exclude' => 0,
            ),
            'full' =>
            array(
              'format' => 'fieldset',
              'exclude' => 0,
            ),
            4 =>
            array(
              'format' => 'fieldset',
              'exclude' => 0,
            ),
            'token' =>
            array(
              'format' => 'fieldset',
              'exclude' => 0,
            ),
            'label' => 'above',
          ),
        ),
        'weight' => '12',
        'group_name' => 'group_address',
      ),
    );
    $content['fields']  = array(
      0 =>
      array(
        'label' => 'Public',
        'field_name' => 'field_public',
        'type' => 'number_integer',
        'widget_type' => 'optionwidgets_buttons',
        'change' => 'Change basic information',
        'weight' => '-6',
        'description' => '',
        'default_value' =>
        array(
        ),
        'default_value_php' => 'return array(
                			0 => array(\'value\' => 1),
                		);',
        'default_value_widget' => NULL,
        'group' => FALSE,
        'required' => 1,
        'multiple' => '0',
        'min' => '',
        'max' => '',
        'prefix' => '',
        'suffix' => '',
        'allowed_values' => '1|Public
                		0|Private',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'number',
        'widget_module' => 'optionwidgets',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'int',
            'not null' => FALSE,
            'sortable' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      1 =>
      array (
        'label' => 'Given name',
        'field_name' => 'field_given_name',
        'type' => 'text',
        'widget_type' => 'text_textfield',
        'change' => 'Change basic information',
        'weight' => '2',
        'rows' => 5,
        'size' => '60',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'value' => '',
            '_error_element' => 'default_value_widget][field_given_name][0][value',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_given_name' =>
          array (
            0 =>
            array (
              'value' => '',
              '_error_element' => 'default_value_widget][field_given_name][0][value',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'text_processing' => '0',
        'max_length' => '',
        'allowed_values' => '',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'text',
        'widget_module' => 'text',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'size' => 'big',
            'not null' => FALSE,
            'sortable' => TRUE,
            'views' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '2',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      2 =>
      array (
        'label' => 'Nickname',
        'field_name' => 'field_nickname',
        'type' => 'text',
        'widget_type' => 'text_textfield',
        'change' => 'Change basic information',
        'weight' => '3',
        'rows' => 5,
        'size' => '60',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'value' => '',
            '_error_element' => 'default_value_widget][field_nickname][0][value',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_nickname' =>
          array (
            0 =>
            array (
              'value' => '',
              '_error_element' => 'default_value_widget][field_nickname][0][value',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'text_processing' => '0',
        'max_length' => '',
        'allowed_values' => '',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'text',
        'widget_module' => 'text',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'size' => 'big',
            'not null' => FALSE,
            'sortable' => TRUE,
            'views' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '3',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      3 =>
      array (
        'label' => 'Organization',
        'field_name' => 'field_organization',
        'type' => 'nodereference',
        'widget_type' => 'noderefcreate_autocomplete',
        'change' => 'Change basic information',
        'weight' => '4',
        'autocomplete_match' => 'contains',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'nid' => NULL,
            '_error_element' => 'default_value_widget][field_organization][0][nid][nid',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_organization' =>
          array (
            0 =>
            array (
              'nid' =>
              array (
                'nid' => '',
                '_error_element' => 'default_value_widget][field_organization][0][nid][nid',
              ),
              '_error_element' => 'default_value_widget][field_organization][0][nid][nid',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'referenceable_types' =>
        array (
          'namecard_organization' => 'namecard_organization',
          'namecard_namecard' => 0,
          'page' => 0,
          'story' => 0,
          'address' => FALSE,
          'bugs' => FALSE,
          'city' => FALSE,
          'namecard_department' => FALSE,
          'namecard_event' => FALSE,
          'namecard_position' => FALSE,
          'bug' => FALSE,
          'test' => FALSE,
        ),
        'advanced_view' => '--',
        'advanced_view_args' => '',
        'op' => 'Save field settings',
        'module' => 'nodereference',
        'widget_module' => 'noderefcreate',
        'columns' =>
        array (
          'nid' =>
          array (
            'type' => 'int',
            'unsigned' => TRUE,
            'not null' => FALSE,
            'index' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '4',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      4 =>
      array (
        'label' => 'Position',
        'field_name' => 'field_position',
        'type' => 'nodereference',
        'widget_type' => 'noderefcreate_autocomplete',
        'change' => 'Change basic information',
        'weight' => '5',
        'autocomplete_match' => 'contains',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'nid' => NULL,
            '_error_element' => 'default_value_widget][field_position][0][nid][nid',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_position' =>
          array (
            0 =>
            array (
              'nid' =>
              array (
                'nid' => '',
                '_error_element' => 'default_value_widget][field_position][0][nid][nid',
              ),
              '_error_element' => 'default_value_widget][field_position][0][nid][nid',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '1',
        'referenceable_types' =>
        array (
          'namecard_position' => 'namecard_position',
          'city' => 0,
          'namecard_namecard' => 0,
          'namecard_organization' => 0,
          'page' => 0,
          'story' => 0,
          'address' => FALSE,
          'bugs' => FALSE,
          'namecard_department' => FALSE,
          'namecard_event' => FALSE,
          'bug' => FALSE,
          'test' => FALSE,
        ),
        'advanced_view' => '--',
        'advanced_view_args' => '',
        'op' => 'Save field settings',
        'module' => 'nodereference',
        'widget_module' => 'noderefcreate',
        'columns' =>
        array (
          'nid' =>
          array (
            'type' => 'int',
            'unsigned' => TRUE,
            'not null' => FALSE,
            'index' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '5',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      5 =>
      array (
        'label' => 'Department',
        'field_name' => 'field_department',
        'type' => 'nodereference',
        'widget_type' => 'noderefcreate_autocomplete',
        'change' => 'Change basic information',
        'weight' => '6',
        'autocomplete_match' => 'contains',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'nid' => NULL,
            '_error_element' => 'default_value_widget][field_department][0][nid][nid',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_department' =>
          array (
            0 =>
            array (
              'nid' =>
              array (
                'nid' => '',
                '_error_element' => 'default_value_widget][field_department][0][nid][nid',
              ),
              '_error_element' => 'default_value_widget][field_department][0][nid][nid',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'referenceable_types' =>
        array (
          'namecard_department' => 'namecard_department',
          'city' => 0,
          'namecard_namecard' => 0,
          'namecard_organization' => 0,
          'page' => 0,
          'namecard_position' => 0,
          'story' => 0,
          'address' => FALSE,
          'bugs' => FALSE,
          'namecard_event' => FALSE,
          'bug' => FALSE,
          'test' => FALSE,
        ),
        'advanced_view' => '--',
        'advanced_view_args' => '',
        'op' => 'Save field settings',
        'module' => 'nodereference',
        'widget_module' => 'noderefcreate',
        'columns' =>
        array (
          'nid' =>
          array (
            'type' => 'int',
            'unsigned' => TRUE,
            'not null' => FALSE,
            'index' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '6',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      6 =>
      array (
        'label' => 'Phone',
        'field_name' => 'field_phone',
        'type' => 'text',
        'widget_type' => 'text_textfield',
        'change' => 'Change basic information',
        'weight' => '7',
        'rows' => 5,
        'size' => '60',
        'description' => 'Phone number format must include country and area codes.  The correct format is: <b>+86 (10) 64460982</b>. Extensions should be separated from the main phone number with a hyphen (e.g. +86 (10) 64460982<b>-123</b>)',
        'default_value' =>
        array (
          0 =>
          array (
            'value' => '',
            '_error_element' => 'default_value_widget][field_phone][0][value',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_phone' =>
          array (
            0 =>
            array (
              'value' => '',
              '_error_element' => 'default_value_widget][field_phone][0][value',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '1',
        'text_processing' => '0',
        'max_length' => '',
        'allowed_values' => '',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'text',
        'widget_module' => 'text',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'size' => 'big',
            'not null' => FALSE,
            'sortable' => TRUE,
            'views' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '7',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      7 =>
      array (
        'label' => 'Fax',
        'field_name' => 'field_fax',
        'type' => 'text',
        'widget_type' => 'text_textfield',
        'change' => 'Change basic information',
        'weight' => '8',
        'rows' => 5,
        'size' => '60',
        'description' => 'Fax number format must include country and area codes.  The correct format is: <b>+86 (10) 64220282</b>. Extensions should be separated from the main phone number with a hyphen (e.g. +86 (10) 64220282<b>-123</b>)',
        'default_value' =>
        array (
          0 =>
          array (
            'value' => '',
            '_error_element' => 'default_value_widget][field_fax][0][value',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_fax' =>
          array (
            0 =>
            array (
              'value' => '',
              '_error_element' => 'default_value_widget][field_fax][0][value',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '1',
        'text_processing' => '0',
        'max_length' => '',
        'allowed_values' => '',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'text',
        'widget_module' => 'text',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'size' => 'big',
            'not null' => FALSE,
            'sortable' => TRUE,
            'views' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      8 =>
      array (
        'label' => 'Mobile',
        'field_name' => 'field_mobile',
        'type' => 'text',
        'widget_type' => 'text_textfield',
        'change' => 'Change basic information',
        'weight' => '9',
        'rows' => 5,
        'size' => '60',
        'description' => 'Phone number format must include the country code separated from the main number by a space as per the following format: <b>+86 1234121245</b>.',
        'default_value' =>
        array (
          0 =>
          array (
            'value' => '',
            '_error_element' => 'default_value_widget][field_mobile][0][value',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_mobile' =>
          array (
            0 =>
            array (
              'value' => '',
              '_error_element' => 'default_value_widget][field_mobile][0][value',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '1',
        'text_processing' => '0',
        'max_length' => '',
        'allowed_values' => '',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'text',
        'widget_module' => 'text',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'size' => 'big',
            'not null' => FALSE,
            'sortable' => TRUE,
            'views' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'weight' => '8',
          'parent' => '',
          'label' =>
          array (
            'format' => 'above',
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      9 =>
      array (
        'label' => 'Email',
        'field_name' => 'field_email',
        'type' => 'text',
        'widget_type' => 'text_textfield',
        'change' => 'Change basic information',
        'weight' => '10',
        'rows' => 5,
        'size' => '60',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'value' => '',
            '_error_element' => 'default_value_widget][field_email][0][value',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_email' =>
          array (
            0 =>
            array (
              'value' => '',
              '_error_element' => 'default_value_widget][field_email][0][value',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '1',
        'text_processing' => '0',
        'max_length' => '',
        'allowed_values' => '',
        'allowed_values_php' => '',
        'op' => 'Save field settings',
        'module' => 'text',
        'widget_module' => 'text',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'size' => 'big',
            'not null' => FALSE,
            'sortable' => TRUE,
            'views' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          2 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          3 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      10 =>
      array (
        'label' => 'Event',
        'field_name' => 'field_event',
        'type' => 'nodereference',
        'widget_type' => 'noderefcreate_autocomplete',
        'change' => 'Change basic information',
        'weight' => '11',
        'autocomplete_match' => 'contains',
        'description' => 'Enter the name of the event followed by the date in square brackets.  Date should be in the format of "<b>YYYY-MM-DD</b>" (e.g. <b>Boston Conference [2010-09-29]</b>).',
        'default_value' =>
        array (
          0 =>
          array (
            'nid' => NULL,
            '_error_element' => 'default_value_widget][field_event][0][nid][nid',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_event' =>
          array (
            0 =>
            array (
              'nid' =>
              array (
                'nid' => '',
                '_error_element' => 'default_value_widget][field_event][0][nid][nid',
              ),
              '_error_element' => 'default_value_widget][field_event][0][nid][nid',
            ),
          ),
        ),
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'referenceable_types' =>
        array (
          'namecard_event' => 'namecard_event',
          'address' => 0,
          'city' => 0,
          'namecard_department' => 0,
          'namecard_namecard' => 0,
          'namecard_organization' => 0,
          'page' => 0,
          'namecard_position' => 0,
          'story' => 0,
          'bugs' => FALSE,
          'bug' => FALSE,
          'test' => FALSE,
        ),
        'advanced_view' => '--',
        'advanced_view_args' => '',
        'op' => 'Save field settings',
        'module' => 'nodereference',
        'widget_module' => 'noderefcreate',
        'columns' =>
        array (
          'nid' =>
          array (
            'type' => 'int',
            'unsigned' => TRUE,
            'not null' => FALSE,
            'index' => TRUE,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      11 =>
      array (
        'label' => 'Address',
        'field_name' => 'field_address_info',
        'type' => 'address',
        'widget_type' => 'address_entry',
        'change' => 'Change basic information',
        'weight' => '12',
        'description' => '',
        'default_value' =>
        array (
          0 =>
          array (
            'street' => '',
            'district' => '',
            'city' => '',
            'postcode' => '',
            'country' => '',
          ),
        ),
        'default_value_php' => '',
        'default_value_widget' =>
        array (
          'field_address_info' =>
          array (
            0 =>
            array (
              'street' => '',
              'district' => '',
              'city' => '',
              'postcode' => '',
              'country' => '',
              'state' => '',
            ),
          ),
        ),
        'group' => 'group_address',
        'required' => 0,
        'multiple' => '1',
        'op' => 'Save field settings',
        'module' => 'namecards_address_fld',
        'widget_module' => 'namecards_address_fld',
        'columns' =>
        array (
          'street' =>
          array (
            'type' => 'varchar',
            'length' => 255,
            'not null' => FALSE,
            'sortable' => TRUE,
            'default' => '',
          ),
          'district' =>
          array (
            'type' => 'varchar',
            'length' => 255,
            'not null' => FALSE,
            'sortable' => TRUE,
            'default' => '',
          ),
          'city' =>
          array (
            'type' => 'varchar',
            'length' => 255,
            'not null' => FALSE,
            'sortable' => FALSE,
            'default' => '',
          ),
          'state' =>
          array (
            'type' => 'varchar',
            'length' => 255,
            'not null' => FALSE,
            'sortable' => FALSE,
            'default' => '',
          ),
          'postcode' =>
          array (
            'type' => 'varchar',
            'length' => 255,
            'not null' => FALSE,
            'sortable' => FALSE,
            'default' => '',
          ),
          'country' =>
          array (
            'type' => 'varchar',
            'length' => 255,
            'not null' => FALSE,
            'sortable' => FALSE,
            'default' => '',
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      12 =>
      array (
        'label' => 'Computed addresses',
        'field_name' => 'field_computed_addresses',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '13',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => 'group_address',
        'required' => 0,
        'multiple' => '0',
        'code' => '$addresses = array();
            $address = \'\';
            $index = 0; // temp work around for bug in multi value form elements delete button module.
            foreach ($node->field_address_info as $key => $value) {
              $index = 0; // temp work around for bug in multi value form elements delete button module.
              if (is_int($key)) {
                foreach ($value as $field_title => $field_value) {
                  if ($index < 6) {  // Gets first six fields. Is a temp work around for bug in multi value form elements delete button module.
                    $address .= $field_value . \' \';
                  }
                  $index++; // temp work around for bug in multi value form elements delete button module.
                }
              }
              $phone_numbers[] = trim(check_plain($address));
              // Reset $address.
              $address = \'\';
            }
            $node_field[0][\'value\'] = implode(\', \', $phone_numbers);',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      13 =>
      array (
        'label' => 'Computed org name',
        'field_name' => 'field_computed_org_name',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '13',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$node_field[0][\'value\'] = db_result(db_query("SELECT title FROM {node} WHERE nid=%d", $node->field_organization[0][nid]));',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          2 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          3 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      14 =>
      array (
        'label' => 'Computed position name',
        'field_name' => 'field_computed_position_name',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '14',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$positions = array();
            $position_nids = array();

            for ($i =0; $i < count($node->field_position); $i++) {
              $position_nids[] = $node->field_position[$i][\'nid\'];
            }

            $results = db_query(\'SELECT n.title FROM {node} n WHERE n.nid IN (\' . implode(\', \', $position_nids) . \')\');

            while ($result = db_result($results)) {
              $positions[] = check_plain($result);
            }
            $node_field[0][\'value\'] = implode(\', \', $positions);',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          2 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          3 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      15 =>
      array (
        'label' => 'Computed department name',
        'field_name' => 'field_computed_department_name',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '15',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$node_field[0][\'value\'] = db_result(db_query("SELECT title FROM {node} WHERE nid=%d", $node->field_department[0][nid]));',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          2 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          3 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      16 =>
      array (
        'label' => 'Computed event name',
        'field_name' => 'field_computed_event_name',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '16',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$node_field[0][\'value\'] = db_result(db_query("SELECT title FROM {node} WHERE nid=%d", $node->field_event[0][nid]));',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      17 =>
      array (
        'label' => 'Computed email',
        'field_name' => 'field_computed_email',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '17',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$email_addresses = array();
              foreach ($node->field_email as $key => $value) {
                if (is_int($key)) {
                  $email_addresses[] = check_plain($node->field_email[$key][\'value\']);
                }
              }
            $node_field[0][\'value\'] = implode(", ", $email_addresses);
                    ',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      18 =>
      array (
        'label' => 'Computed phone',
        'field_name' => 'field_computed_phone',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '18',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$phone_numbers = array();
        foreach ($node->field_phone as $key => $value) {
          if (is_int($key)) {
            $phone_numbers[] = check_plain($node->field_phone[$key][\'value\']);
          }
        }

        if (count($phone_numbers) > 0) {
          $node_field[0][\'value\'] = implode(", ", $phone_numbers);
        }
        else {
          $node_field[0][\'value\'] = \'\';
        }',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      19 =>
      array (
        'label' => 'Computed mobile',
        'field_name' => 'field_computed_mobile',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '19',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$mobile_numbers = array();
              foreach ($node->field_mobile as $key => $value) {
                if (is_int($key)) {
                  $mobile_numbers[] = check_plain($node->field_mobile[$key][\'value\']);
                }
              }
            $node_field[0][\'value\'] = implode(", ", $mobile_numbers);',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      20 =>
      array (
        'label' => 'Computed fax',
        'field_name' => 'field_computed_fax',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '20',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$fax_numbers = array();
              foreach ($node->field_fax as $key => $value) {
                if (is_int($key)) {
                  $fax_numbers[] = check_plain($node->field_fax[$key][\'value\']);
                }
              }
            $node_field[0][\'value\'] = implode(", ", $fax_numbers);',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
      21 =>
      array (
        'label' => 'Computed full content',
        'field_name' => 'field_computed_full_content',
        'type' => 'computed',
        'widget_type' => 'computed',
        'change' => 'Change basic information',
        'weight' => '21',
        'description' => '',
        'default_value' =>
        array (
        ),
        'default_value_php' => '',
        'group' => FALSE,
        'required' => 0,
        'multiple' => '0',
        'code' => '$node_field[0][\'value\'] = "";',
        'display_format' => '$display = $node_field_item[\'value\'];',
        'store' => 1,
        'data_type' => 'text',
        'data_length' => '',
        'data_default' => '',
        'data_not_NULL' => 0,
        'data_sortable' => 1,
        'op' => 'Save field settings',
        'module' => 'computed_field',
        'widget_module' => 'computed_field',
        'columns' =>
        array (
          'value' =>
          array (
            'type' => 'text',
            'not NULL' => 0,
            'sortable' => 1,
          ),
        ),
        'display_settings' =>
        array (
          'label' =>
          array (
            'format' => 'above',
            'exclude' => 0,
          ),
          'teaser' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'full' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          4 =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
          'token' =>
          array (
            'format' => 'default',
            'exclude' => 0,
          ),
        ),
      ),
    );
    $content['extra']  = array (
      'title' => '-5',
      'revision_information' => '-3',
      'author' => '-2',
      'options' => '-1',
      'comment_settings' => '1',
      'menu' => '-4',
      'path' => '0',
    );
  }

  return $content;
}
