<?php
/**
 * @file
 * Class definition
 *
 * Filters given view by search terms passed as arguments.
 *
 * @author bgunn
 *
 */
class namecards_handler_argument_browse_contacts_search_terms extends views_handler_argument_string {
  /**
   * Override function query() of parent class.
   * @see views_handler_argument_string::query()
   */
  function query() {
    // Extract search terms.
    $search_terms = explode('_', trim(check_plain($this->get_value())));
    $table = $this->ensure_my_table();
    $field = 'field_computed_full_content_value';

    $where_clause = array();
    $num = count($search_terms);

    for ($i = 0; $i < $num; $i++) {
      // Add % for like statement into search value directly. Avoids strange char replacement behaviour caused when inserting in static part of sql statement.
      $search_terms[$i] = '%%' . $search_terms[$i] . '%%';
      // Build the where clause.
      $where_clause[] = sprintf('UPPER(%s.%s) LIKE UPPER(\'%s\')', $table, $field, $search_terms[$i]);
    }

    $complete_where_statement = implode(' AND ', $where_clause);
    $this->query->add_where($this->options['group'], $complete_where_statement);
  }
}